=== debian/changelog ===
gdu (4.3.3-1) unstable; urgency=medium

  * Initial release (Closes: 980350)

 -- Daniel Milde <daniel@milde.cz>  Wed, 27 Jan 2021 10:23:15 +0200
