## gdu 4.4.1

=== debian/changelog ===
gdu (4.4.1-1) unstable; urgency=medium

  * fixed tests for chrooted environments

 -- Daniel Milde <daniel@milde.cz>  Fri, 05 Feb 2021 20:19:52 +0100
