## gdu 4.6.1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 	-X '$(PACKAGE)/build.Version=$(VERSION)' \
 	-X '$(PACKAGE)/build.User=$(shell id -u -n)' \
 	-X '$(PACKAGE)/build.Time=$(shell LC_ALL=en_US.UTF-8 date)'"
+
+all: build-all gdu.1
 
 run:
 	go run .
@@ -39,6 +41,12 @@
 	cd dist; for file in gdu_linux_* gdu_darwin_* gdu_netbsd_* gdu_openbsd_* gdu_freebsd_*; do tar czf $$file.tgz $$file; done
 	cd dist; for file in gdu_windows_*; do zip $$file.zip $$file; done
 
+gdu.1: gdu.1.md
+	pandoc gdu.1.md -s -t man > gdu.1
+
+show-man:
+	pandoc gdu.1.md -s -t man | man -l -
+
 test:
 	go test -v ./...
