=== debian/changelog ===
gdu (4.6.1-1) unstable; urgency=medium

  * added flag -x for not crossing filesystem boundaries
  * show flags (error, empty, symlink, e.g.)
  * detect hard links
  * show modal on deletion error
  * more readable colors

 -- Daniel Milde <daniel@milde.cz>  Mon, 15 Feb 2021 17:29:56 +0100

gdu (4.4.1-2) unstable; urgency=medium

  * fixed ldflags for build to be reproducible

 -- Daniel Milde <daniel@milde.cz>  Fri, 12 Feb 2021 20:28:11 +0100
