=== debian/changelog ===
gdu (4.6.3-1) unstable; urgency=medium

  * usage test is not valid on all architectures
  * g/G key bindings added to help

 -- Daniel Milde <daniel@milde.cz>  Thu, 18 Feb 2021 11:28:56 +0100

gdu (4.6.2-1) unstable; urgency=medium

  * keep background color of the terminal
  * delete files in separate thread
  * fixed data race in flag propagation

 -- Daniel Milde <daniel@milde.cz>  Tue, 16 Feb 2021 21:09:06 +0100
