## gdu 5.8.1

=== debian/changelog ===
gdu (5.8.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Daniel Milde <daniel@milde.cz>  Fri, 01 Oct 2021 14:56:35 +0200

gdu (5.8.1-2) unstable; urgency=medium

  * standards bumped to 4.6.0

 -- Daniel Milde <daniel@milde.cz>  Mon, 27 Sep 2021 20:36:47 +0200

gdu (5.8.1-1) unstable; urgency=medium

  * stop GC while running analysis
  * do not build PIE as it breaks build on mips

 -- Daniel Milde <daniel@milde.cz>  Mon, 27 Sep 2021 11:59:37 +0200

gdu (5.7.0-1) unstable; urgency=medium

  * sort devices by name and used size
  * show total usage and sorting on devices list
  * suspend the application instead of stopping

 -- Daniel Milde <daniel@milde.cz>  Sun, 19 Sep 2021 22:09:57 +0200

gdu (5.6.2-1) unstable; urgency=medium

  [ Daniel Milde ]
  * upgrade to go 1.16
  * use 3x number of cores
  * run gc when the analysis is done
  * show content of file
  * disable CGO for all builds
  * do not allow some actions while scanning/deleting/confirming
  * keep selected dir when using enter for return
  * use GOMAXPROCS
  * use channel instead of mutex

  [ Jeff Cook ]
  * Keep cursor on selection when swapping between apparent/actual size.

  [ knyazevoe ]
  * added maxprocs flag, that sets GOMAXPROCS

  [ Leonidas Spyropoulos ]
  * Skip failing tests on single core CPUs

  [ Daniel Milde ]
  * added possibility to ignore hidden dirs and ignore dirs by regular pattern
  * main package moved to cmd/gdu
  * show file count [BC break]

  [ huangnauh ]
  * fix: update tview to fix crash

  [ Daniel Milde ]
  * replace std log module with sirupsen/logrus
  * show info about selected item

  [ zhangsean ]
  * Feature: Empty selected file or directory
  * Improve some coding.

  [ Daniel Milde ]
  * export analysis to file as JSON
  * read analysis from file

  [ jtagcat ]
  * tui help: 'Go to' instead of 'Select' for open.
  * helpText: refer to up/down with k/j, past: k, j

  [ Daniel Milde ]
  * help info structured
  * fix compatibility with ncdu export format
  * fixed not showing colors for export
  * added thousand separator to item count number
  * detect correctly NFS mounts
  * search items by name
  * feat: print current directory path and quit on `Q` key
  * spawn shell in current directory on pressing `b`
  * adjust the height of the help box to the size of the screen
  * feat: show last mtime by pressing `m` and sort by mtime by pressing `M`
  * import/export mtime

  [ Daniel Milde ]
  * fix: check if currentDir is set
  * fix: check if currentDir is set when selecting item
  * fix: set ui.currentDir at last

 -- Daniel Milde <daniel@milde.cz>  Sat, 28 Aug 2021 00:48:18 +0200
