=== debian/control ===
Source: gdu
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Milde <daniel@milde.cz>,
Section: admin
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-1.17,
               golang-github-fatih-color-dev,
               golang-github-gdamore-tcell.v2-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-rivo-tview-dev (>= 0.0~git20210122),
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/gdu
Vcs-Git: https://salsa.debian.org/go-team/packages/gdu.git
Homepage: https://github.com/dundee/gdu
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/dundee/gdu/v5

Package: gdu
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Pretty fast disk usage analyzer
 Disk usage analyzer with console interface written in Go.
 Intended primarily for SSD disks where it can fully
 utilize parallel processing. However HDDs work as well, but
 the performance gain is not so huge.
