## gdu 5.9.0

=== debian/changelog ===
gdu (5.9.0-1) unstable; urgency=medium

  * added option to show total usage for given path #96
  * added option to read ignore patterns from file
  * refactor: struct fields aligned correctly

 -- Daniel Milde <daniel@milde.cz>  Sat, 23 Oct 2021 15:16:31 +0200

gdu (5.8.1-3) unstable; urgency=medium

  * use go 1.16

 -- Daniel Milde <daniel@milde.cz>  Fri, 15 Oct 2021 14:30:04 +0200
