## gdu 5.10.0

=== debian/changelog ===
gdu (5.10.0-1) unstable; urgency=medium

  [ Daniel Milde ]
  * fix: correct install command for go
  * refactor: use strconv instead of fmt

  [ Jay R. Wren ]
  * add ino, hlnkc to json
  * tests

  [ Daniel Milde ]
  * stop UI when spawning shell on Windows
  * test execute
  * show info about hard-linked files
  * added possibility to move around while info window is opened

  [ Jeremy Neville ]
  * Info modal closes with "i"

  [ Daniel Milde ]
  * fix: do not show help if file info is shown

 -- Daniel Milde <daniel@milde.cz>  Thu, 11 Nov 2021 18:04:36 +0100
