## gdu 5.10.1

=== debian/changelog ===
gdu (5.10.1-1) unstable; urgency=medium

  * convert path to absolute before checking crossing mountpoints

 -- Daniel Milde <daniel@milde.cz>  Tue, 23 Nov 2021 16:09:23 +0100
