=== debian/changelog ===
gdu (5.11.0-1) unstable; urgency=medium

  * added option to run memory garbage collection during analysis
  * added option to collect profiling data

 -- Daniel Milde <daniel@milde.cz>  Sun, 28 Nov 2021 13:16:00 +0100
