## gdu 5.12.1

=== debian/changelog ===
gdu (5.12.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Daniel Milde <daniel@milde.cz>  Fri, 24 Dec 2021 15:22:00 +0100

gdu (5.12.1-1) unstable; urgency=medium

  [ Daniel Milde ]
  * man page updated
  * benchmarks updated

  [ Leonidas Spyropoulos ]
  * Implement noCross for darwin

  [ Daniel Milde ]
  * device implementation for freebsd and darwin merged
  * fixed processing mount points with space on linux
  * fixed bsd test
  * travis icon removed
  * openbsd and netbsd builds fixed
  * listing devices on netbsd
  * use sys.unix instead of syscall
  * added compilation directives
  * fix: escape file names
  * fix: direct dependency on sys
  * fix: do not pass key when filtering is started
  * doc: small readme rewording

 -- Daniel Milde <daniel@milde.cz>  Sun, 12 Dec 2021 10:41:59 +0100

gdu (5.11.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * d/changelog for backports
  * debian-branch for backports

 -- Daniel Milde <daniel@milde.cz>  Thu, 02 Dec 2021 20:34:02 +0100
