=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
-               golang-1.17,
                golang-github-fatih-color-dev,
                golang-github-gdamore-tcell.v2-dev,
                golang-github-mattn-go-isatty-dev,
@@ -14,6 +13,7 @@
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
+               golang-go,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gdu
 Vcs-Git: https://salsa.debian.org/go-team/packages/gdu.git
