=== debian/changelog ===
gdu (5.13.2-1) unstable; urgency=medium

  [ Daniel Milde ]
  * refactor: interfaces moved away from implementations
  * fix: unkeyd fields
  * doc: gdu migrated to community in ArchLinux
  * refactor: size constants renamed
  * added option `--si` for showing sizes with decimal SI prefixes
  * fix: register pprof endpoints only when requested
  * refactor: enabling/disabling GC moved to analyzer
  * balance speed and memory usage

  [ Georgi Georgiev ]
  * Make the bar graph meaningful in large directories
  * Make the relative-size display the user's choice
  * Fix the tests

  [ Daniel Milde ]
  * refactor: we only read from chan
  * test: more tests for relative bar
  * test: test closing help using question mark and
    moving around when info page is opened
  * fix: recreate doneChan for every scan
  * fix: check value before waiting
  * refactor: return concrete implementation
  * refactor: proper parameter name

  [ Georgi Georgiev ]
  * Properly count only the first hard link size on a rescan

  [ Daniel Milde ]
  * fix: do not panic if path does not start with slash
  * test: added more file and actions tests
  * fix(devices): go back to devices list

 -- Daniel Milde <daniel@milde.cz>  Sat, 19 Feb 2022 18:01:48 +0100
