=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                golang-github-fatih-color-dev,
                golang-github-gdamore-tcell.v2-dev,
                golang-github-mattn-go-isatty-dev,
+               golang-github-pbnjay-memory-dev,
                golang-github-rivo-tview-dev (>= 0.0~git20210122),
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
