=== debian/changelog ===
gdu (5.20.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Milde <daniel@milde.cz>  Sun, 23 Oct 2022 21:31:16 +0200

gdu (5.19.0-1) unstable; urgency=medium

  * feat: upgrade all dependencies
  * feat: bump go version to 1.18
  * feat: format negative numbers correctly closes #178
  * test: export formatting
  * feat: try to read config from ~/.config/gdu/gdu.yaml first
  * docs: config file default locations

 -- Daniel Milde <daniel@milde.cz>  Wed, 28 Sep 2022 21:53:32 +0200

gdu (5.18.1-1) unstable; urgency=medium

  * feat: shorten current item path to 70 chars #172
  * feat: configuration option for setting maximum length of the path for current item in the progress modal
  * feat: show time in progress modal
  * fix: two more lines for progress modal #172
  * fix: readded --config-file flag
  * fix: read non-default config file properly
  * fix: correct config file option regex

 -- Daniel Milde <daniel@milde.cz>  Thu, 22 Sep 2022 23:04:44 +0200

gdu (5.17.1-1) unstable; urgency=medium

  [ Daniel Milde ]
  * fix(tests): access to updateDraws behind mutex
  * refactor: SignalGroup instead of chan
  * fix: add progressDoneChan
  * chore: update golangci-lint to v3
  * ci: added statically linked binary for linux/amd64

  [ Edward Betts ]
  * Correct spelling mistakes

  [ Steven Conaway ]
  * Add darwin@arm64

  [ Daniel Milde ]
  * feat: sort items by name if usage/size/count is the same

  [ Anna “CyberTailor” ]
  * ci: generate release tarballs

  [ Riatre Foo ]
  * fix: honor --summarize when reading analysis

  [ Phani Rithvij ]
  * upgrade dependencies

  [ Daniel Milde ]
  * refactor: correct ordering
  * feat: natural sorting of names
  * fix: correct sorting for non-interactive and export modes
  * feat: show sizes as raw numbers without prefixes
  * docs: flags updated
  * refactor: extract common logic for BSD
  * refactor: split keyPressed

  [ mcoret ]
  * Update dir_other.go

  [ Daniel Milde ]
  * ci: binary for Android
  * test: run 0 perm tests only for Linux
  * fix: mount output format fixes #159
  * feat: better error message
  * test: run zfs test only on freebsd
  * fix: panic on analyzing mount multiple times
  * feat: initial mouse support closes #163
  * chore: ignore vendor dir
  * feat: use configuration file
  * fix: file name
  * docs: man page updated
  * fix: check error
  * test: use gotestsum for running tests
  * refactor: use only yaml for reading/writing config file
  * feat: added possibility to change text color and
    background color of the selected row fixes #168
  * docs: order of sections fixed
  * fix: nul log file for Windows fixes #171
  * fix: increase the vertical size of the progress modal fixes #172
  * d/control: added dependency on golang-gopkg-yaml.v3-dev

 -- Daniel Milde <daniel@milde.cz>  Tue, 13 Sep 2022 00:14:32 +0200
