## gdu 5.21.0

=== debian/changelog ===
gdu (5.21.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Milde <daniel@milde.cz>  Fri, 06 Jan 2023 16:45:44 +0100
