=== debian/changelog ===
gdu (5.22.0-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Milde <daniel@milde.cz>  Sun, 26 Feb 2023 21:14:58 +0100
