=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                dh-golang,
                golang-github-fatih-color-dev,
                golang-github-gdamore-tcell.v2-dev,
+               golang-github-maruel-natural-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-pbnjay-memory-dev,
                golang-github-rivo-tview-dev (>= 0.0~git20210122),
@@ -15,7 +16,8 @@
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
                golang-go,
-Standards-Version: 4.6.0
+               golang-gopkg-yaml.v3-dev,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gdu
 Vcs-Git: https://salsa.debian.org/go-team/packages/gdu.git
 Homepage: https://github.com/dundee/gdu
