=== debian/tests/control ===
Tests: scan version
Depends: @,
