=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-github-fatih-color-dev,
-               golang-github-gdamore-tcell.v2-dev,
+               golang-github-gdamore-tcell.v2-dev (>= 2.6.0),
                golang-github-maruel-natural-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-pbnjay-memory-dev,
-               golang-github-rivo-tview-dev (>= 0.0~git20210122),
+               golang-github-rivo-tview-dev (>= 0.0~git20230530.8bd761d),
                golang-github-sirupsen-logrus-dev,
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev,
