=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CGO_ENABLED := 0
 
 GO_LDFLAGS += -X '$(GOPKG)/build.Version=$(VERSION)'
-GO_LDFLAGS += -X '$(GOPKG)/build.User=debian' 
+GO_LDFLAGS += -X '$(GOPKG)/build.User=debian'
 GO_LDFLAGS += -X '$(GOPKG)/build.Time=$(shell TZ=Etc/UTC date +'%F_%T' -d @$(SOURCE_DATE_EPOCH))'
 
 %:
